--    Омонимия/Homonymy
--    Copyright (C) 2024  Luka (ot-luki@yandex.ru)
--
--    This program is free software: you can redistribute it and/or modify
--    it under the terms of the GNU General Public License as published by
--    the Free Software Foundation, either version 3 of the License, or
--    (at your option) any later version.
--
--    This program is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--    GNU General Public License for more details.
--
--    You should have received a copy of the GNU General Public License
--    along with this program.  If not, see <https://www.gnu.org/licenses/>.


------------------- 1 этап -------------------------
room {
    nam = 'Письмо';
    onexit = function(s) fading.change{'none'} end;
    part = 1;
    decor = function(s) 
    return ([[^
Здравствуй, друг мой. 

Прости, что нежданная весть принесла тебе огорчение, а с ним и заботы. Слоны уходят умирать на кладбище в одиночестве, мы не так благородны и мудры, как они. Болезнь доконала меня. Я честно старался жаловаться не слишком сильно, хотя Бог видит — имел основания. Сейчас же время расставаться. Навсегда. Расставаться со многим, в первую очередь с тобой.
^
Мне больно. Необходимость прощаться делает еще больнее. Но это разная боль: первая зовет вперед, вторая зовет остаться. Впрочем, никто у меня ничего больше не спрашивает и никто ничего не обещает. 
^
Ты знаешь, я никогда не умел быть краток. Сейчас я не смогу написать все, что хотел. Слишком мало времени, слишком мало сил. Эти ненаписанные слова... они так много значат. Для меня. Надеюсь, для тебя тоже. Готов ли ты на маленькое путешествие, чтобы получить их все до конца? Путешествие в страну слов, ибо в ней я прожил последние тяжелые годы. Там ты найдешь меня... мои следы.
^
Я оставил несколько чистых листов. Они пригодятся тебе. Чистый лист — это самое главное в жизни, на каждом из них можно написать новую главу.
        ]]..deskr(s,'Нить')..[[
^
Когда ты прочтешь это, меня уже не будет на этой стороне реки. Тебе придется пересечь Стикс — найди себе корабль. На той стороне ты получишь весточку от меня.
^
Пока не прощаюсь. Твой Н.
            ]]);
    end;
    obj = {'Нить'};
}


objj {
nam = 'Нить';
home = 'Письмо';
inv = 'Вы нашли это в письме.';
tak = function(s) return mytake(s,'Вы уловили нить.'); end;
inroomdesc = 'Надеюсь, ты уловил {Нить|нить} моего рассуждения.';
outroomdesc = 'Надеюсь, ты уловил нить моего рассуждения.';
dropped = 'Вы оставили здесь {нить}.';
use = function(s,w)
        if w^'Личинка' then w:use(s);
        elseif w^'Бот' then p 'Этому не нужен шнурок.';
        elseif w^'Обрыв' then p 'Вы не хотите выбрасывать нить.';
        elseif w^'Ключ' then p 'Ключ обойдется без брелока.';
        elseif w^'Бак' then p 'Входит и выходит.';
        elseif w^'РазрЗамок' then p 'Это не починить таким способом.';
        elseif w^'Лом' then p 'Привязать можно, но зачем?';
        elseif w^'Коса' then p 'Привязать можно, но зачем?';
        elseif w^'Мостик' then p 'Не потеряется и так.';
        elseif w^'Сечка' then p 'Это был бы очень уродливый темляк.';
        else
            p 'Ничего не получается.';
        end;
        end;
}


room {
    nam = 'Изба';
    part = 1;
    decor = function(s) return dropButton..[[В доме прохладно и сыро, печь давно не топилась, зато кто-то недавно вымыл полы. ]]..deskr(s,'ОДвор')..[[^В комнате скудно: стол, стул, старый платяной шкаф. Запах ладана и запустения. Кровать аккуратно застелена. ]]..deskr(s,'Судно')..' '..deskr(s,'Бот')..[[ На кухне нехитрая утварь. ]]..deskr(s,'Сечка')..[[ Муха бьется в стекло окна.]]; end;
    obj = {'Оставить', 'ОДвор', 'Судно', 'Бот', 'Сечка'};
}

objj {
nam = 'Судно';
home = {'Изба'};
inroomdesc = 'Из-под кровати торчит {Судно|судно}.';
outroomdesc = '';
dropped = 'Вы оставили здесь {судно}.';
inv = 'Вы нашли это в избе, под кроватью.';
--dsc = function(s) dscHome(s, ''); end;
tak = function(s) return mytake(s,'Вы забираете судно с собой.'); end;
use = function(s,w)
        if w^'Риф' then p "Если посадить судно на мель, далеко не уплывешь.";
        elseif w^'Вода' then p 'Здесь слишком мелко, судно сядет на мель.';
        elseif w^'Обрыв' then p 'Вы можете выбросить судно в обрыв, но что-то подсказывает вам, что оно еще пригодится.';
        elseif w^'Бак' then p 'Мог бы получиться маленький корабль, но в баке нет воды.';
        elseif w^'Сечка' then p 'Бам-м-м.';
        elseif w^'ОДвор' then p 'Если швырнуть его на улицу, оно может разбиться.';
        elseif w^'псевдозамок' then p 'Это не летающее судно.';
        else p 'Ничего не получается.';
        end;
        end;
}

objj {
nam = 'Бот';
home = 'Изба';
inv = 'Вы нашли его в углу избы.';
dropped = 'Вы оставили здесь {бот}.';
tak = function(s) return mytake(s,'Вы забираете с собой бот.'); end;
inroomdesc = 'Рядом с ней стоит одинокий {Бот|бот} из кирзы, где его напарник — Бог знает.';
outroomdesc = '';
use = function(s,w)
        if w^'Судно' then p "Не влезет.";
        elseif w^'Обрыв' then p 'Не стоит мусорить.';
        elseif w^'Бак' then p 'Входит и выходит.';
        elseif w^'Грот' then p 'Это не добавит красоты.';
        elseif w^'Линь' then p 'Не стоит, он и так не в лучшей форме.';
        elseif w^'Экипаж' then p 'Разве что в качестве стимула.';
        elseif w^'Корабль' then p '';
        elseif w^'псевдозамок' then p 'Если швырнуть его туда, обратно уже не достать.';
        elseif w^'ОставитьБ' then p 'Куда именно поплывем?';
        elseif w^'ОДвор' then p 'Вы кидаете бот на улицу.';
                            place(s,'Двор');
        else
            p 'Ничего не получается.';
        end;
        end;
}

objj {
nam = 'Сечка';
home = 'Изба';
inv = 'Вы забрали это с кухонного стола, из избы.';
dropped = 'Вы оставили здесь {сечку}.';
tak = function(s) return mytake(s,'Вы забираете сечку.'); end;
inroomdesc = 'В дерево кухонного стола воткнута углом поварская {Сечка|сечка}. Лезвие блестит на свету.';
outroomdesc = '';
use = function(s,w)
        if w^'Бот' then p "Не будем разрубать это на части.";
        elseif w^'Нить' then p 'Она и так совсем короткая.';
        elseif w^'Донка' then p 'Это полезная вещь, не стоит ее портить.';
        elseif w^'Лом' then p 'Этим его не разрубить.';
        elseif w^'Замок' then p 'Этим его не разрубить.';
        elseif w^'Бак' then p 'Бам-м-м.';
        elseif w^'Судно' then p 'Бам-м-м.';
        elseif w^'Бухта' then p 'Стальной провод этим не разрубить.';
        elseif w^'Обрыв' then p 'Не будем пока это выбрасывать.';
        elseif w^'ОставитьБ' then p 'Жалко это топить.';
        else p 'Ничего не получается.';
        end;
        end;
}

objj {
nam = 'ОДвор';
disp = 'Двор';
home = 'Изба';
inv = 'Вы нашли это в избе';
dropped = 'Вы оставили здесь {двор}.';
tak = function(s) return mytake(s,'Вы взяли двор.'); end;
inroomdesc = 'В окно виден {ОДвор|двор} и маленький кусочек леса.';
outroomdesc = '';
use = function(s,w)
        if w^'Бумага' then
            _'Бумага'.n = _'Бумага'.n-1
            p 'Вы переносите двор и лес на чистые листы бумаги.';
            addSite('Двор');
            addSite('Лес');
            remove(s);
        else p 'Ничего не получается.';
        end;
        end;
}

room {
	nam = 'Двор';
    part = 1;
	decor = function(s) return dropButton..[[Ни облачка на небе. Ни дуновенья. Солнце уже низко и греет слабо. Во дворе ]]..deskr(s,'Сарай')..' '..deskr(s,'Замок')..[[ Огород зарос сорняками. Кривой покосившийся забор не видел краски со времен царя-Гороха. ]]..deskr(s,'Бак')..[[ Пара одиноких яблонь обещают скоро неплохой урожай. Тихо. Не слышно ни птиц, ни людей.]]; end;
    obj = {'Оставить', 'Замок', 'Бак', 'Сарай'};
}

objj {
nam = 'Сарай';
home = 'Двор';
__disabled = true;
inv = 'Вы забрали это со двора.';
dropped = 'Вы оставили здесь {сарай}.';
tak = function(s) return mytake(s,'Вы забираете сарай.'); end;
inroomdesc = 'стоит {Сарай|сарай}, сколоченный из необструганных досок';
outroomdesc = 'когда-то был сарай, дверь от него валяется на земле.';
use = function(s,w)
        if w^'Бумага' then
            _'Бумага'.n = _'Бумага'.n-1
            p 'Вы переносите сарай на чистый лист бумаги.';
            addSite('Л_Сарай');
            remove(s);
        elseif w^'Обрыв' then
            p 'Если поставить сарай в обрыв и немного присыпать землей, получится землянка. Вот только зачем вам землянка?';
        elseif w^'псевдозамок' then p 'Вероятно, там уже есть такой. И не один.';
        else
            p 'Ничего не получается.';
        end;
        end;
}



objj {
nam = 'Замок';
clsd = true;
home = {'Двор', 'Л_Замок'};
inroomdesc = 'На двери сарая — висячий {Замок|замок}.';
outroomdesc = '';
inv = 'Вы забрали это со двора.';
dropped = 'Вы оставили здесь {замок}.';
tak = function(s) 
        if s.clsd then
            p "Придется открыть замок, прежде чем делать с ним что-либо.";
            return false;
            else  
                if mytake(s,'Вы забираете замок.') then
                    return true;
                else
                    return false;
                end;
        end;
    end;
use = function(s,w)
        if w^'Бумага' then
            _'Бумага'.n = _'Бумага'.n-1
            p 'Вы переносите замок на чистый лист бумаги.';
            addSite('Л_Замок');
            place(s, 'Л_Замок');
        elseif w^'Обрыв' then p 'Вы можете, конечно, выкинуть замок в обрыв, но что-то вам подсказывает, что он вам еще пригодится.';
        elseif w^'Судно' then p 'Помещается.';
        elseif w^'Бак' then p 'Входит и выходит.';
        elseif w^'Лом' then p 'Может лучше наоборот?';
        elseif w^'ОставитьБ' then p 'Он вам еще пригодится.';
        elseif w^'Мостик' then p 'Вы пока не планируете венчаться.';
        else p 'Ничего не получается.';
        end;
        end;
}

objj {
nam = 'Бак';
home = 'Двор';
inroomdesc = 'У забора стоит железный {Бак|бак} для воды, сейчас пустой.';
outroomdesc = '';
inv = 'Вы забрали это со двора.';
dropped = 'Вы оставили здесь {бак}.';
tak = function(s) return mytake(s,'Вы забираете бак с собой.'); end;
use = function(s,w)
        if w^'Обрыв' then p 'Великоват, не спрячешь.';
        elseif w^'Собачка' then p 'Можно накрыть, но она и так не убежит.';
        elseif w^'Экипаж' then p 'Для этого понадобилось бы много инструментов и деталей, которых у вас нет.';
        elseif w^'Обрыв' then p 'Не стоит это выбрасывать.';
        elseif w^'ОставитьБ' then p 'На этом далеко не уплывешь.';
        else p 'Ничего не получается.';
        end;
        end;
}



room {
nam = 'Лес';
part = 1;
decor = function(s) return dropButton..[[В лесу прохладно. Одинаковые, словно в один год посаженные березки шевелят листьями. Пахнет землей и сыростью. ]]..deskr(s,'Ключ')..' '..deskr(s,'Обрыв')..' '..deskr(s,'Мостик')..[[ Одинокому клену вздумалось сбросить крону пораньше. Несколько листов лежат у его корней, пока нетронутые тлением.]]; end;
obj = {'Оставить', 'Ключ', 'Обрыв', 'Мостик'};
}

objj {
nam = 'Ключ';
home = 'Лес';
inroomdesc = 'Из оврага бьет {Ключ|ключ}.';
outroomdesc = 'Из оврага бьет ключ.';
inv = 'Вы нашли это в лесу.';
dropped = 'Вы оставили здесь {ключ}.';
tak = function(s) return mytake(s,'Вы забираете ключ с собой.'); end;
use = function(s,w)
        if w^'Замок' then
            w.clsd = false;
            w.inroomdesc = 'На двери сарая — висячий {Замок|замок}. Сейчас он открыт.';
            _'Сарай':enable();
            p 'Вы открываете замок. Теперь можно войти в сарай.';
            remove(s);
        elseif w^'Бак' then p 'Раздается глухой металлический звон.';
        elseif w^'Судно' then p 'Бам-м-м.';
        elseif w^'Обрыв' then p 'Не стоит это выбрасывать.';
        elseif w^'Нить' then p 'Из этого вышел бы очень уродливый брелок.';
        elseif w^'Судно' then p 'Помещается.';
        elseif w^'Бот' then p 'Помещается.';
        else p 'Ничего не получается.';
        end;
        end;
}

objj {
nam = 'Обрыв';
home = 'Лес';
inroomdesc = 'Небольшой ручеек утекает из него по глине и камням и исчезает в {Обрыв|обрыве}.';
outroomdesc = '';
inv = 'Вы нашли это в лесу.';
dropped = 'Вы оставили здесь {обрыв}.';
tak = function(s) return mytake(s,'Вы забираете обрыв с собой.'); end;
use = function(s,w)
        if w^'Бухта' then
            w.clsd = false;
            w.inroomdesc = '{Бухта|Бухта} толстого стального провода в другом углу — единственное, что выглядит мало-мальски прилично. Вы оборвали конец провода и теперь он торчит из под бревен. ';
            p 'Вы обрываете провод.';
            remove(s);
        elseif w^'Нить' then p 'Она и так короткая.' ;
        else p 'Странная идея.';
        end;
        end;
}

objj {
nam = 'Мостик';
home = 'Лес';
inv = 'Вы нашли это в лесу.';
dropped = 'Вы оставили здесь {мостик}.';
tak = function(s) return mytake(s,'Вы прихватывате мостик с собой.'); end;
inroomdesc = 'Через ручеек перекинут небольшой {Мостик|мостик} из пары сколоченных бревен.';
outroomdesc = '';
use = function(s,w)
        if w^'ОставитьБ' then p 'Он, конечно, деревянный, но плавать на нем не стоит.';
        elseif w^'псевдозамок' then p 'Слишком маленький для этого.';
        elseif w^'Грот' then p 'Переселить троллей отсюда туда? В другой раз.';
        else p 'Ничего не получается.';
        end;
        end;
}

room {
    nam = 'Л_Замок';
    part = 1;
    disp = 'Замок';
	decor = [[^^^Средневековый {псевдозамок|замок} каменной громадой держит осеннее небо. Он был бы похож на призрак, если б не был так велик и тяжел. Он был бы похож на реальность, если б хоть одно лицо смотрело с его башен и стен.
^
Огромная тень от донжона придавила кусты и мелкую поросль снаружи. Даже птицы почтительно притихли в таком соседстве.
^
Цитадель окружена рвом, мост поднят. Внутрь пройти нельзя.]];
}: with {
        obj {
        nam = 'псевдозамок';
        act = function(s) 
                    if mytake(s,'Вы забираете замок.') then
                        if where(s) ^ 'Л_Замок' then
                            _'Бумага'.n = _'Бумага'.n+1
                            delSite('Л_Замок');
                            walk 'Лес';
                        end;
                        take('Замок');
                        return true;
                    else
                        return false;
                    end;
                end;
        }
}

room {
	nam = 'Л_Экипаж';
    part = 1;
    disp = 'В карете';
	decor = [[^^^{Экипаж|Карета} похожа на настоящую, довольно аккуратная реплика. Снаружи покрашена, изнутри обита тканью. На двери кареты позолотой обозначен странный знак, способный сойти за герб для того, кто не разбирается в геральдике. Лошади переступают ногами, рессоры тихо скрипят. Ни кучера, ни пассажиров поблизости не видно.]];
}

room {
	nam = 'Л_Грот';
    part = 1;
    disp = 'В гроте';
	decor = [[^^^Внутри {Грот|грота} сухо, но прохладно. Чугунная скамейка с видом на руины, урна — вот и все убранство. Земля засыпана щебнем, чтобы не росла трава. Но трава не знает, что не должна тут расти и все равно пробивается тут и там сквозь каменную крошку. 
^
Здесь можно немного отдохнуть и подумать о вечном.]];
}

room {
nam = 'Л_Сарай';
part = 1;
disp = 'В сарае';
decor = function(s) return dropButton..[[Свет пробивается через толстые щели между досками. Пола в сарае нет. Прямо на земле свалены кривые бревна. ]]..deskr(s,'Лом')..deskr(s,'Бухта')..deskr(s,'Коса'); end;
obj = {'Оставить', 'Бухта', 'Лом', 'Коса'};
}


objj {
nam = 'Бухта';
clsd = true;
home = 'Л_Сарай';
inv = 'Эта вещь лежала в сарае.';
dropped = 'Вы оставили здесь {бухту}.';
tak = function(s) 
        if s.clsd then
            p "Вы не можете забрать бухту, провод намертво зажат бревнами сарая.";
            return false;
            else  
                if mytake(s,'Вы забираете бухту.') then return true; else return false; end;
            end;
        end;
inroomdesc = '{Бухта|Бухта} толстого стального провода в другом углу — единственное, что выглядит мало-мальски прилично. Конец этого провода уходит куда-то между бревнами и безвозвратно теряется там. ';
outroomdesc = 'Из кучи бревен торчит кусок толстого стального провода. ';
use = function(s,w)
        if w^'Бумага' then
            _'Бумага'.n = _'Бумага'.n-1
            p 'Вы переносите бухту на чистый лист бумаги.';
            addSite('Л_Бухта');
            remove(s);
        elseif w^'Обрыв' then p 'Вы могли бы вышвырнуть бухту в обрыв, но внутренний голос подсказывает вам, что она еще пригодится.';
        elseif w^'Риф' then p 'Здесь слишком мелко.';
        elseif w^'псевдозамок' then p 'Это не веревка, это толстый стальной провод. Да и кошки у вас нет.';
        else p 'Ничего не получается.';
        end;
        end;
}

objj {
nam = 'Лом';
home = 'Л_Сарай';
inv = 'Это лежало в сарае, теперь вы носите это с собой.';
dropped = 'Вы оставили здесь {лом}.';
tak = function(s) return mytake(s,'Теперь у вас есть лом.'); end;
inroomdesc = 'В углу ржавеет всякий металлический {Лом|лом}, выглядящий так, словно его притащили со свалки: какие-то колеса, рычаги, рамы. ';
outroomdesc = '';
use = function(s,w)
        if w^'Замок' then
            place('Личинка');
            place('Собачка');
            place('РазрЗамок');
            p 'Несколькими сильными ударами вы разбиваете замок на части.';
            remove(s);
            remove(w);
        elseif w^'Коса' then p 'Получилось бы оружие ужасающей силы, но оно вам ни к чему.';
        elseif w^'Судно' then p 'Жалко разбивать это.';
        elseif w^'Сечка' then p 'Это повысило бы боевые возможности лома, но он и так достаточно хорош.';
        elseif w^'Линь' then p 'Не стоит, он и без того не в лучшей форме.';
        elseif w^'Мостик' then p 'Здесь ничего не спрятано.';
        elseif w^'Бак' then p 'Сделать из бака дырявый бак? Можно, но не нужно.';
        elseif w^'Грот' then p 'Здесь ничего не спрятано.';
        elseif w^'Бухта' then p 'Провод слишком толстый, ломом не перебить.';
        elseif w^'Экипаж' then p 'Это приведет его в негодность.';
        elseif w^'ОставитьБ' then p 'До дна не достать.';
        elseif w^'псевдозамок' then p 'В этом есть здравый смысл. Вот если б замок был поменьше...';
        else p 'Странная идея.';
        end;
        end;
}

objj {
nam = 'Коса';
home = 'Л_Сарай';
inv = 'Вы нашли это в сарае.';
dropped = 'Вы оставили здесь {косу}.';
tak = function(s) return mytake(s,'Теперь у вас есть коса.'); end;
inroomdesc = 'На стене висит {Коса|коса}.';
outroomdesc = '';
use = function(s,w)
        if w^'Бумага' then
            _'Бумага'.n = _'Бумага'.n-1
            p 'Вы переносите косу на чистый лист бумаги.';
            addSite('Л_Коса');
            remove(s);
        elseif w^'Обрыв' then p 'Вы не хотите окашивать обрыв.';
        elseif w^'Лом' then p 'Могло бы получиться страшное оружие.';
        elseif w^'Бухта' then p 'Провод слишком прочный, а коса ржавая.';
        elseif w^'Грот' then p 'В нем практически нет травы.';
        elseif w^'ОставитьБ' then p 'Она вам еще пригодится.';
        else p 'Ничего не получается.';
        end;
        end;
}


objj {
nam = 'Личинка';
home = 'нет';
inv = 'Это бренные останки разломанного вами замка.';
dropped = 'Вы оставили здесь {личинку}.';
tak = function(s) return mytake(s,'Вы подняли личинку.'); end;
use = function(s,w)
        if w^'Нить' then
            replace(w, 'Донка');
            p 'Вы привязываете личинку на край нити, и утяжеляете ее около середины подобранным камушком. Получилась импровизированная удочка.';
            remove(s);
            remove(w);
        elseif w^'Обрыв' then p 'Не стоит это выбрасывать.';
        elseif w^'РазрЗамок' then p 'Обратно не починить.';
        elseif w^'Бак' then p 'Помещается.';
        elseif w^'Судно' then p 'Помещается.';
        elseif w^'Бот' then p 'Помещается.';
        elseif w^'ОставитьБ' then p 'Да, может показаться, что она маленькая и совсем ненужная. Но это не так.';
        else p 'Странная идея.';
        end;
        end;
}

objj {
nam = 'Собачка';
home = 'нет';
inv = 'Это бренные останки разломанного вами замка.';
dropped = 'Вы оставили здесь {собачку}.';
tak = function(s) return mytake(s,'Вы подняли собачку.'); end;
use = function(s,w)
        if w^'Линь' then p 'Она не хочет это есть.';
        elseif w^'Бак' then p 'Она оттуда выберется.';
        elseif w^'Вода' then p 'Хм. Нет.';
        elseif w^'Обрыв' then p 'Хм. Нет.';
        elseif w^'Грот' then p 'Собачка обнюхивает это.';
        elseif w^'ОставитьБ' then p 'Ее зовут не Му-му.';
        else p 'Странная идея.';
        end;
        end;
}

objj {
nam = 'РазрЗамок';
disp = 'Разрушенный замок';
home = 'нет';
inv = 'Это бренные останки разломанного вами замка.';
dropped = 'Вы оставили здесь {разрушенный замок}.';
tak = function(s) return mytake(s,'Вы подняли разрушенный замок.'); end;
use = function(s,w)
        if w^'Бумага' then
            _'Бумага'.n = _'Бумага'.n-1
            p 'Вы переносите разрушенный замок на чистый лист бумаги.';
            addSite('Л_РазрЗамок');
            remove(s);
        elseif w^'Обрыв' then
            p 'Вы можете выбросить остатки замка в обрыв, но лучше этого не делать.';
        elseif w^'ОставитьБ' then p 'Не стоит это выбрасывать.';
        else p 'Ничего не получается.';
        end;
        end;
}

room {
nam = 'Л_РазрЗамок';
part = 1;
disp = 'Разрушенный замок';
decor = function(s) return dropButton..[[От замковых стен остались одни развалины. От донжона не осталось даже их. Все заросло деревьями и кустами. ]]..deskr(s,'Экипаж')..deskr(s,'Грот')..[[ Остатки земляного вала тоже заросли деревьями.]]; end;
obj = {'Оставить', 'Экипаж', 'Грот'};
}

objj {
nam = 'Экипаж';
inroomdesc = 'Перед замком стоит конный {Экипаж|экипаж}, его хозяев не видно. ';
outroomdesc = '';
home = {'Л_РазрЗамок', 'Л_Экипаж'};
inv = 'Вы одолжили это у разрушенного замка.';
dropped = 'Вы оставили здесь {экипаж}.';
tak = function(s) 
                if mytake(s,'Вы забрали с собой экипаж.') then
                    if where(s) ^ 'Л_Экипаж' then
                        _'Бумага'.n = _'Бумага'.n+1
                        delSite('Л_Экипаж');
                        walk 'Л_РазрЗамок';
                    end;
                    return true;
                else
                    return false;
                end;
    end;
use = function(s,w)
        if w^'Бумага' then
            _'Бумага'.n = _'Бумага'.n-1
            p 'Вы переносите экипаж на чистый лист бумаги.';
            addSite('Л_Экипаж');
            place(s, 'Л_Экипаж');
        elseif w^'Грот' then p 'Грот слишком маленький, экипаж в него не поместится.';
        elseif w^'Бак' then p 'Никак не влезет.';
        elseif w^'ОставитьБ' then p 'Не будем это топить.';
        else p 'Ничего не получается.';
        end;
        end;
}

objj {
nam = 'Грот';
inroomdesc = 'Каменный {Грот|грот} выполняет функции беседки. Как не старались строители соблюсти антураж, он выглядит как явный новодел, созданный для развлечения скучающих туристов.';
outroomdesc = '';
home = {'Л_РазрЗамок', 'Л_Грот'};
inv = 'Вы одолжили это у разрушенного замка.';
dropped = 'Вы оставили здесь {грот}.';
tak = function(s) 
                if mytake(s,'Вы забрали с грот с собой.') then
                    if where(s) ^ 'Л_Грот' then
                        _'Бумага'.n = _'Бумага'.n+1
                        delSite('Л_Грот');
                        walk 'Л_РазрЗамок';
                    end;
                    return true;
                else
                    return false;
                end;
    end;
use = function(s,w)
        if w^'Бумага' then
            _'Бумага'.n = _'Бумага'.n-1
            p 'Вы переносите грот на чистый лист бумаги.';
            addSite('Л_Грот');
            place(s, 'Л_Грот');
        else
            p 'Ничего не получается.';
        end;
        end;
}


objj {
nam = 'Донка';
home = 'нет';
inv = 'Импровизированная удочка.';
dropped = 'Вы оставили здесь {донку}.';
tak = function(s) return mytake(s,'Вы подняли донку.'); end;
use = function(s,w)
        if w^'Бак' then p 'В нем нет воды. И рыбы тоже нет.';
        elseif w^'Обрыв' then p 'Не стоит это выбрасывать.';
        elseif w^'Риф' then p 'Риф выше уровня воды.';
        else p 'Странная идея.';
        end;
        end;
}


room {
nam = 'Л_Коса';
part = 1;
disp = 'На косе';
decor = function(s) return dropButton..[[Большая песчаная {Вода|коса} отделяет часть берега.  ]]..deskr(s,'Риф')..[[ Сейчас, в солнечную погоду, отлично видно дно, покрытое водорослями и камнями. Иногда из водорослей выглядывает какая-нибудь рыба, и, взглянув немигающими глазами на божий свет, возвращается назад. На песке ничего не растет. Вода покрыта легкой рябью.]]; end;
obj = {'Риф', 'Вода'};
}

obj {
nam = 'Вода';
podkorm = false;
act = 'Здесь мелко и илисто.';
used = function(s,w)
        if w^'Сечка' then
            p 'Вы подкармливаете рыбу крупой.';
            s.podkorm = true;
            remove(w);
        elseif s.podkorm and w^'Донка' then
            remove(w);
            p 'Вы забрасываете донку и ждете какое-то время. Удачная поклевка и вот довольно крупная рыбина бьется перед вами на песке.';
            place('Линь');
        elseif not s.podkorm and w^'Донка' then
            p 'Вы забрасываете донку и ждете. Не клюет. Подкормить бы чем-нибудь.';
        else return false;
        end;
    end;
}

objj {
nam = 'Риф';
home = 'Л_Коса';
inv = 'Вы нашли это на косе.';
tak = function(s) return mytake(s,'Вы забираете риф.'); end;
inroomdesc = 'Там, где она уходит под воду, начинается {Риф|риф}. ';
outroomdesc = '';
dropped = 'На земле лежит {риф}.';
}

objj {
nam = 'Линь';
home = 'нет';
inv = 'Вы поймали это на косе.';
tak = function(s) return mytake(s,'Вы забираете линь.'); end;
dropped = 'На земле лежит {линь}.';
use = function(s,w)
        if w^'ОставитьБ' then p 'Он же уплывет.';
        elseif w^'Вода' then p 'Великодушно, но нерационально.';
        elseif w^'Бак' then p 'Воды там нет, так что ему не станет от этого легче.';
        else p 'Не получается.';
        end;
        end;
}

room {
nam = 'Л_Бухта';
part = 1;
disp = 'Бухта';
decor = function(s) return dropButton..[[Ветра нет и {ОставитьБ|вода} совершенно спокойна. Несколько чаек крутятся у берега и разрывают тишину резкими голодными криками. Белый песок усеян ракушками и галькой. Чуть далее деревья подходят к самому берегу. Низкое Солнце отражается в воде. Одинокий столб — все что осталось от причала — покрыт мхом и выглядит, словно сейчас рассыпется в зеленый пепел.^ ]].._'Корабль'.status(_'Корабль'); end;
obj = {'ОставитьБ', 'Корабль', 'Оставить'};
}

objj {
nam = 'ОставитьБ';
act = 'Здесь довольно глубоко.';
used = function(s,w)
    if w^'Судно' then
        _'Корабль'.st = 1;
        remove(w);
        p 'Вы ставите судно на воду.';
    elseif w^'Донка' then p 'Здесь слишком глубоко, чтобы ловить рыбу на такую простую снасть.';
    else return false;
    end;
end;
}

objj {
nam = 'Корабль';
home = 'Л_Бухта';
st = 0;
-- Отклик на нажатие
act = function(s)
if s.st==0 then return '';
elseif s.st<5 then return 'Корабль недоделан. Нужны '..ifp(where('Грот')~=s,'мачты, ')..ifp(where('Риф')~=s,'канаты, ').. ifp(where('Линь')~=s,'паруса, ')..'части корпуса.'..ifp(where('Экипаж')~=s,' И без матросов он никуда не поплывет.');
elseif s.st<7 then return 'Корабль пока не готов, осталась пара мелочей.';
else return 'Корабль полностью готов к отплытию, но надо до него как-то добраться.';
end;
end;
-- Динамическое описание
status = function(s) 
if s.st==0 then return '';
elseif s.st==1 then return 'На почтительном отдалении от берега на якоре стоит {Корабль|каркас корабля}, борта завершены и плотно законопачены, но многих частей не хватает.';
elseif s.st<6 then return 'На почтительном отдалении от берега на якоре стоит {Корабль|каркас корабля}, теперь он больше похож на настоящий, но все-таки нескольких частей еще не хватает.';
elseif s.st<7 then return 'На почтительном отдалении от берега на якоре стоит {Корабль|корабль}, он почти готов к отплытию.';
else return 'На почтительном отдалении от берега на якоре стоит {Корабль|корабль}, паруса подняты, матросы суетятся на палубах. Корабль полностью готов к отплытию.';
end;
end;
-- Добавление частей
used = function(s,w)
    if w^'Бак' then place(w, s); s.st = s.st+1; p 'Вы устанавливаете на судно бак.';
    elseif w^'Грот' then place(w, s); s.st = s.st+1; p 'Вы устанавливаете на корабль мачту.';
    elseif w^'Экипаж' then place(w, s); s.st = s.st+1; p 'Экипаж принимается за работу.';
    elseif w^'Риф' then place(w, s); s.st = s.st+1; p 'Вы добавляете к кораблю канаты.';
    elseif w^'Мостик' then place(w, s); s.st = s.st+1; p 'Вы устанавливаете на судно мостик.';
    elseif w^'Линь' then place(w, s); s.st = s.st+1; p 'Вы устанавливаете недостающий парус.';
    elseif w^'Бот' then 
        if s.st<7 then p 'Корабль пока не готов к отплытию.';
        else xact.fwalk 'Отплытие'; return false;
        end;
    else p 'На корабле это не нужно.';
    end;
    end;
}
