--    Омонимия/Homonymy
--    Copyright (C) 2024  Luka (ot-luki@yandex.ru)
--
--    This program is free software: you can redistribute it and/or modify
--    it under the terms of the GNU General Public License as published by
--    the Free Software Foundation, either version 3 of the License, or
--    (at your option) any later version.
--
--    This program is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--    GNU General Public License for more details.
--
--    You should have received a copy of the GNU General Public License
--    along with this program.  If not, see <https://www.gnu.org/licenses/>.

------------------- 2 этап -------------------------

room {
nam = 'Отплытие';
noinv = true;
pic = 'image/nakorabl.png';
--onexit = function(s,f) theme.gfx.bg('img/fon.png'); end;
decor = [[Вы садитесь на бот и гребете к кораблю. Собачка увязалась с вами и, строя из себя морского волка, уселась на корму обозревать морскую ширь. С судна что-то кричат. Чайки тоже кричат. Собака лает. Вы не кричите, вам и так достаточно шума.
^
Бот подняли на палубу, вас молча проводили в каюту.
^
Судно отчаливает.
^^
{@ fwalk Прибытие|<Дальше>}]];
onenter = function(s,t)
    inv():zap();
    --theme.gfx.bg('img/fonnoinv.png');
    take 'Бумага';
    take 'Собачка2';
    
    -- Удаляем все комнаты 1 акта, чтобы они не мешались в путях комнат
    std.for_each_obj(function(v)
                    if v.part==1 then v:purge(); end
                    end);
    end;
}

room {
nam = 'Прибытие';
noinv = true;
pic = 'image/pristan.png';
--onenter = function(s,f) theme.gfx.bg('img/fonnoinv.png'); end;
decor = [[Время в пути прошло незаметно.
^
Хорошо, что никто не спрашивал, куда вы плывете — вы бы не смогли объяснить. На очередной стоянке вам дали маленькую шлюпку. Вы забрали своего пса и погребли к пристани.
^^
{@ fwalk Пристань|<Дальше>}]];
onexit = function(s,t)
        --theme.gfx.bg('img/fon.png');
        addSite('Пристань');
        end;
}



------------------------- Пристань ------------------------
room {
nam = 'Пристань';
onexit = function(s) fading.change{'none'} end;
part = 2;
decor = function(s) return dropButton..[[Деревянная пристань видывала лучшие времена. Краска на досках облезла, ограждения покосились. Швартовочный кнехт вырван из своего основания и едва держится. ]]..deskr(s,'Туз')..[[ ]]..deskr(s,'Банка')..[[ Сразу за понтоном начинается небольшой пляж. ]]..deskr(s,'Собачка2')..[[ ]]..deskr(s,'Будка')..[[]]; end;
obj = {'Оставить', 'Туз', 'Будка', 'Банка'};
}

objj {
nam = 'Туз';
home = 'Пристань';
inroomdesc = 'Ваш двухвесельный {Туз|туз} слегка качается на волнах.';
outroomdesc = '';
inv = 'Вы приплыли на нем сюда.';
dropped = 'Вы оставили здесь {туз}.';
tak = function(s) 
    _'Банка'.inroomdesc = '{Банка|Банка} от вашего туза лежит на понтоне причала.';
    return mytake(s,'Вы забираете туз с собой.'); end;
use = function(s,w)
        if w^'Пики' then 
            p 'Получился туз пик.';
            replace(w, 'ТузПик');
            remove(w);
            remove(s);
        elseif w^'Девятка' then p 'Неплохая мысль, но у вашего туза нет масти.';
        elseif w^'Дробь' then p 'Не делится.';
        elseif w^'Верстак' then p 'Нет нужды это ремонтировать.';
        else p 'Странная идея.';
        end;
        end;
}

objj {
nam = 'ТузПик';
disp = 'Туз пик';
home = 'нет';
inroomdesc = '';
outroomdesc = '';
inv = 'Игральная карта.';
dropped = 'Вы оставили здесь {туз пик}.';
tak = function(s) return mytake(s,'Вы подбираете туз.'); end;
use = function(s,w)
        if w^'Девятка' then 
            p 'Вы кроете девятку козырным тузом и забираете ее себе.';
            remove(s);
            _'Девятка'.home = 'нет';
            _'Девятка'.free = true;
            take('Девятка');
        else p 'Странная идея.';
        end;
        end;
}

objj {
nam = 'Будка';
home = 'Пристань';
inroomdesc = 'Позади пляжа стоит маленькая деревянная {Будка|будка}.';
outroomdesc = '';
inv = 'Вы нашли это на пристани.';
dropped = 'Вы оставили здесь {будку}.';
tak = function(s) return mytake(s,'Вы забираете будку с собой.'); end;
use = function(s,w)
        if w^'Бумага' then
            _'Бумага'.n = _'Бумага'.n-1
            p 'Вы переносите будку на чистый лист бумаги.';
            addSite('Л_Будка');
            remove(s);
        elseif w^'Банка' then p 'Будка не поместится в банку.';
        elseif w^'Собачка2' then p 'Собачка не хочет там сидеть.';
        else p 'Ничего не получается.';
        end;
        end;
}

objj {
nam = 'Банка';
home = 'Пристань';
inroomdesc = 'Его средняя и единственная {Банка|банка} расшаталась и теперь просто лежит на днище.';
outroomdesc = '';
inv = 'Вы нашли это на пристани.';
dropped = 'Вы оставили здесь {банку}.';
tak = function(s) return mytake(s,'Вы забираете банку с собой.'); end;
use = function(s,w)
        if w^'Туз' then p 'Плохо держится, как ни прилаживай.';
        elseif w^'Собачка2' then p 'В ней нечего есть.';
        elseif w^'Дробь' then p 'Она не потеряется и так.';
        elseif w^'ПлитаР' then p 'Здравая мысль, но лучше найти сосуд размером побольше.';
        elseif w^'Кабачок' then p 'Не влезет.';
        elseif w^'Пиво' then p 'Зачем, когда есть стакан?';
        elseif w^'Водка' then p 'Зачем, когда есть стакан?';
        elseif w^'Стакан' then p 'Вы чокаетесь сами с собой.';
        elseif w^'Могила' then p 'Нужно что-то, чтобы наложить.';
        else p 'Не получается.';
        end;
        end;
}

objj {
nam = 'Собачка2';
disp = 'Собачка';
home = 'Пристань';
inroomdesc = '{Собачка2|Собачка} легла прямо на песок и греется последними подарками осеннего солнца.';
outroomdesc = '';
inv = 'Она приехала с вами на корабле.';
dropped = 'Вы оставили здесь {собачку}.';
tak = function(s) return mytake(s,'Вы забираете собачку с собой.'); end;
use = function(s,w)
        if w^'Будка' then p 'Вы сажаете собачку в будку, но она выходит наружу.';
        elseif w^'Банка' then p 'Не влезет.';
        elseif w^'Санки' then p 'Даже если получится сделать упряжку, до снега еще далеко.';
        elseif w^'Дерево' then p 'Если ей понадобится, она сама найдет.';
        elseif w^'КотелокР' then p 'Сварить собаку?';
        elseif w^'ГорнР' then p 'Это нельзя переплавить.';
        elseif w^'Могила' then p 'Она еще жива.';
        elseif w^'Верстак' then p 'Неремонтопригодно.';
        else p 'Странная идея.';
        end;
        end;
}


------------------------- Будка ------------------------

room {
nam = 'Л_Будка';
disp = 'Будка';
part = 2;
decor = function(s) return dropButton..[[Крошечная сторожка, в которой тесно даже одному. Столик, табурет и нары. Доски обструганы, но неокрашены. У входа несколько крючков для одежды. ]]..deskr(s,'Дождевик')..[[ ]]..deskr(s,'Котелок')..[[ ]]..deskr(s,'Карабин')..[[ Чугунная печка сломана.
^^]]..deskr(s,'Письмо2'); end;
obj = {'Оставить', 'Карабин', 'Дождевик', 'Котелок', 'Письмо2'};
}

objj {
nam = 'Карабин';
home = 'Л_Будка';
inroomdesc = 'На третьем — маленький обрывок веревки с {Карабин|карабином} на конце.';
outroomdesc = '';
inv = 'Вы нашли это в сторожке у причала.';
dropped = 'Вы оставили здесь {карабин}.';
tak = function(s) return mytake(s,'Вы забираете карабин с собой.'); end;
use = function(s,w)
        if w^'Норка' then p 'Карабин не заряжен.';
        elseif w^'Дробь' then w:use(s);
        elseif w^'Собачка2' then p 'Карабин не заряжен.';
        else p 'Ничего не получается.';
        end;
        end;
}

objj {
nam = 'КарабинЗар';
disp = 'Карабин';
home = 'нет';
inroomdesc = '';
outroomdesc = '';
inv = 'Карабин заряжен дробью.';
dropped = 'Вы оставили здесь {карабин}.';
tak = function(s) return mytake(s,'Вы забираете карабин с собой.'); end;
use = function(s,w)
        if w^'Норка' then 
            p 'Вы прицеливаетесь и разряжаете карабин в несчастное животное.';
            remove(s);
            replace('Норка','Мех');
        elseif w^'Водка' then p 'Поллитру? Вдребезги? Да никогда.';
        elseif w^'Собачка2' then p 'Обойдемся без лишней жестокости.';
        elseif w^'Банка' then p 'Это приведет ее в негодность.';
        elseif w^'Котелок' then p 'Он вам еще понадобится.';
        elseif w^'Кабачок' then p 'Он и так далеко не убежит.';
        elseif w^'ГорнР' then p 'Можно переплавить, но что-то вам подсказывает, что карабин вам еще понадобится.';
        elseif w^'Верстак' then p 'Разобрать-то получится, но вот получится ли обратно собрать?';
        elseif w^'ОставитьБор' then p 'Стрелять вслепую небезопасно.';
        else p 'Плохая идея.';
        end;
        end;
}

objj {
nam = 'Дождевик';
home = 'Л_Будка';
inroomdesc = 'На первом висит {Дождевик|дождевик}.';
outroomdesc = 'Первый пуст.';
inv = 'Вы нашли это в сторожке у причала..';
dropped = 'Вы оставили здесь {дождевик}.';
tak = function(s) return mytake(s,'Вы забираете дождевик с собой.'); end;
use = function(s,w)
        if w^'КотелокР' then
            p 'Вы добавляете дождевик в варево.';
            place(s, 'Зелье');
            w.comp = w.comp + 1;
        elseif w^'Собачка2' then p 'У нее был бы уморительный вид.';
        elseif w^'Котелок' then p 'Сперва нужно найти для котелка подходящее место.';
        else p 'Странная идея.';
        end;
        end;
}

objj {
nam = 'Котелок';
home = 'Л_Будка';
inroomdesc = 'На втором — {Котелок|котелок}.';
outroomdesc = '';
inv = 'Вы нашли это в сторожке у причала.';
dropped = 'Вы оставили здесь {котелок}.';
tak = function(s) return mytake(s,'Вы забираете котелок с собой.'); end;
use = function(s,w)
        if w^'ПлитаР' then
            p 'Вы ставите котелок на плиту и наливаете в него воды.';
            remove(s);
            place('КотелокР');
            _'ПлитаР'.inroomdesc = '^Вы установили здесь плиту.';
        elseif w^'Собачка2' then p 'Великоват для нее.';
        elseif w^'Могила' then p 'Это не могила Чарли Чаплина.';
        elseif w^'ПлитаД' then p 'Это не могила Чарли Чаплина.';
        elseif w^'Плита' then p 'В этом есть смысл, но сперва стоит найти для плиты подходящее место.';
        else p 'Не получилось.';
        end;
        end;
}

objj {
nam = 'КотелокР';
home = 'Л_Мастерская';
comp = 0;
inroomdesc = ' На плите варится зелье в {КотелокР|котелке}.';
outroomdesc = '';
inv = '';
dropped = '';
act = function(s) 
    if s.comp == 0 then p 'Пока что здесь просто вода.';
    else 
        local st = '';
        --dprint(where('Ерш'));
        if where('Ерш')~=nil and where('Ерш') ^ 'Зелье' then
            st=st..'^Как вам в письме наказ пришел,^Вы бросили ерша в котел.'
            end;
        if where('Пыль')~=nil and where('Пыль') ^ 'Зелье' then
            st=st..'^Могильный прах — то соль земли,^Приправить зелье вы смогли.'
            end;
        if where('Полоз')~=nil and where('Полоз') ^ 'Зелье' then
            st=st..'^Здесь полоз варится в огне,^Он поглощает муть на дне.'
            end;
        if where('Дождевик')~=nil and where('Дождевик') ^ 'Зелье' then
            st=st..'^Гриб-дождевик добавлен в смесь^Чтоб растворить из пыли взвесь.'
            end;
        if where('Девятка')~=nil and where('Девятка') ^ 'Зелье' then
            st=st..'^И жалкий земляной червяк^Отдал себя за просто так.'
            end;
        if s.comp == 5 then
            st=st..'^Готово зелье. Что ж, пора^наружу выйти со двора!'
            else
            st=st..'^Но рано это зелье пить,^Рецепт придется завершить.'
            end;
        p(st);
    end;
    end;
}

-- Это ложный объект-накопитель для того, чтобы собирать в него компоненты зелья
obj {
nam = 'Зелье';
}

objj {
nam = 'Письмо2';
home = 'Л_Будка';
inroomdesc = 'На столе, придавленное ржавым гвоздем от сквозняка, лежит {Письмо2|письмо}.';
outroomdesc = '';
act = function(s) 
    delSite('Пристань');
    delSite('Л_Будка');
    addSite('Л_Письмо2');
    addSite('Пристань');
    addSite('Л_Будка');
    _'Бумага'.n = _'Бумага'.n+10
    xact.fwalk 'Л_Письмо2';
    remove(s); 
end;
}

------------------------- Письмо2 ------------------------

room {
nam = 'Л_Письмо2';
onexit = function(s) fading.change{'none'} end;
disp = 'Письмо';
part = 2;
decor = function(s) return [[^Я не сомневался в тебе ни на ]]..deskr(s,'Дробь')..[[, друг мой. Я восхищался тобой. Всегда. Прости, что редко говорил это вслух.
^
Твой путь не закончен здесь. Корабль — творение разума, творение человеческого гения. Там, где я сейчас, разума недостаточно. Там царят силы могущественные, непознаваемые. Там чудеса, там леший бродит. Уж прости за банальность.
^
К делу, свари зелье. Мне подсказали рецепт: гриб, червяк, рыба, змея и немного пыли с нужной могилы на ]]..deskr(s,'Кладбище')..[[. Вот ведьмина таблица умноженья. Тебе понадобится ]]..deskr(s,'Мастерская')..[[ и еще немного чистых листов бумаги.
^^
Жду тебя. Мне здесь больше некуда спешить, так что не торопись. Твой Н.]]; end;
obj = {'Дробь', 'Кладбище', 'Мастерская'};
}

objj {
nam = 'Дробь';
home = 'Л_Письмо2';
inroomdesc = '{Дробь|1/100 часть}';
outroomdesc = '1/100 часть';
inv = 'Слово из письма.';
dropped = 'Вы оставили здесь {дробь}.';
tak = function(s) return mytake(s,'Вы забираете дробь.'); end;
use = function(s,w)
        if w^'Карабин' then
            p 'Вы заряжаете карабин.';
            replace(w, 'КарабинЗар');
            remove(s);
        elseif w^'Собачка2' then p 'Так не получится, может попробовать пилой?';
        else p 'Не делится.';
        end;
        end;
}

objj {
nam = 'Кладбище';
home = 'Л_Письмо2';
inroomdesc = '{Кладбище|кладбище}';
outroomdesc = 'кладбище';
inv = 'Слово из письма.';
dropped = 'Вы оставили здесь {кладбище}.';
tak = function(s) return mytake(s,'Теперь у вас есть кладбище.'); end;
use = function(s,w)
        if w^'Бумага' then
            _'Бумага'.n = _'Бумага'.n-1
            p 'Вы переносите кладбище на чистый лист бумаги.';
            addSite('Л_Кладбище');
            remove(s);
        elseif w^'Собачка2' then p 'Рановато ее хоронить.';
        else p 'Ничего не получается.';
        end;
        end;
}

objj {
nam = 'Мастерская';
home = 'Л_Письмо2';
inroomdesc = '{Мастерская|мастерская}';
outroomdesc = 'мастерская';
inv = 'Слово из письма.';
dropped = 'Вы оставили здесь {мастерскую}.';
tak = function(s) return mytake(s,'Теперь у вас есть мастерская.'); end;
use = function(s,w)
        if w^'Бумага' then
            _'Бумага'.n = _'Бумага'.n-1
            p 'Вы переносите мастерскую на чистый лист бумаги.';
            addSite('Л_Мастерская');
            remove(s);
        elseif w^'Туз' then p 'Таким способом это не починить.';
        else p 'Ничего не получается.';
        end;
        end;
}


------------------------- Кладбище ------------------------

room {
nam = 'Л_Кладбище';
disp = 'Кладбище';
part = 2;
decor = function(s) return dropButton..[[Кладбище выглядит немного заброшенным, здесь спокойно и пристойно. Деревьев нет, но по территории разбросаны небольшие постриженные кусты.  Песочницы гранитных и чугунных оград выстроились ровно, как по линейке, четырьмя длинными рядами. ]]..deskr(s,'Гвоздика')..[[ Кресты, кресты и звезды. ]]..deskr(s,'ПлитаД')..deskr(s,'Могила')..deskr(s,'Чашечка')..deskr(s,'Лопатка')..[[ У перекрестка стоит ]]..deskr(s,'Лавка')..[[урна.]]; end;
obj = {'Оставить', 'Лавка', 'ПлитаД', 'Гвоздика'};
}    
    
objj {
nam = 'Лавка';
home = 'Л_Кладбище';
inroomdesc = '{Лавка|лавка} и ';
outroomdesc = '';
inv = 'Вы нашли это на кладбище.';
dropped = 'Вы поставили здесь {лавку}.';
tak = function(s) return mytake(s,'Вы забираете лавку с собой.'); end;
use = function(s,w)
        if w^'Бумага' then
            _'Бумага'.n = _'Бумага'.n-1
            p 'Вы переносите лавку на чистый лист бумаги.';
            addSite('Л_Лавка');
            remove(s);
        elseif w^'ПлитаР' then p 'Это нельзя приготовить.';
        elseif w^'Верстак' then p 'Нет нужды это чинить.';
        else p 'Ничего не получается.';
        end;
        end;
}

objj {
nam = 'ПлитаД';
home = 'Л_Кладбище';
inroomdesc = 'Среди них выделяется свежая каменная {ПлитаД|плита}.';
outroomdesc = '';
inv = 'Вы нашли это на кладбище.';
dropped = 'Вы оставили здесь {плиту}.';
tak = function(s) p 'Плита слишком тяжелая, руками ее не сдвинуть.'; return false; end;
}

objj {
nam = 'Плита';
home = '';
inroomdesc = '{Плита|плита}';
outroomdesc = '';
inv = 'Вы забрали это с кладбища.';
dropped = 'Вы поставили здесь {плиту}.';
tak = function(s) return mytake(s,'Вы забираете плиту с собой.'); end;
use = function(s,w)
        if w^'Верстак' then
            p 'Вы устанавливаете плиту в мастерскую и подключаете электричество.';
            remove(s);
            place('ПлитаР');
        elseif w^'Дробь' then p 'Не делится.';
        elseif w^'Котелок' then p 'В этом есть смысл, но сперва нужно найти для нее подходящее место.';
        elseif w^'Могила' then p 'Надо найти для нее место получше.';
        elseif w^'ОставитьБор' then p 'А электричество откуда возьмем?';
        else p 'Странная идея.';
        end;
        end;
}

obj {
nam = 'ПлитаР';
home = 'Л_Мастерская';
inroomdesc = '^Вы установили здесь {ПлитаР|плиту}.';
outroomdesc = '';
dropped = '';
act = 'Плита подключена к сети и готова к работе.';
}

objj {
nam = 'Гвоздика';
home = 'Л_Кладбище';
inroomdesc = 'На одной из них ярким пятном алеет одинокая {Гвоздика|гвоздика}.';
outroomdesc = '';
inv = 'Вы нашли это на кладбище.';
dropped = 'Вы оставили здесь {гвоздику}.';
tak = function(s) return mytake(s,'Вы забираете гвоздику с собой.'); end;
use = function(s,w)
        if w^'ЧашкаСзельем' then 
            p 'Вы добавляете немного гвоздики в чашку. Это слегка отбивает ужасный запах смеси.';
            remove(s);
            w.toDrink = true;
        elseif w^'Могила' then 
            p 'Вы кладете цветок на могилу.';
            s.home = 'нет';
            place('Гвоздика');
        elseif w^'КотелокР' then p 'Этого не было в рецепте.';
        elseif w^'Котелок' then p 'Не будем это сюда класть.';
        elseif w^'Водка' then p 'Не стоит портить продукт.';
        elseif w^'Пиво' then p 'Сомнительный коктейль.';
        elseif w^'Ерш' then p 'Сомнительный коктейль.';
        elseif w^'Банка' then p 'Она не успеет завять.';
        elseif w^'Собачка2' then p 'Она такого не ест.';
        else p 'Странная идея.';
        end;
        end;
}


objj {
nam = 'Могила';
home = 'Л_Кладбище';
inroomdesc = '^Под убранной плитой обнажилась земля старой {Могила|могилы}. ';
outroomdesc = '';
act = 'Все там будем.';
}

objj {
nam = 'Лопатка';
home = 'Л_Кладбище';
inroomdesc = 'На черной грязи белеет правая {Лопатка|лопатка}. ';
outroomdesc = '';
inv = 'Вы нашли это на кладбище.';
dropped = 'Вы оставили здесь {лопатку}.';
tak = function(s) return mytake(s,'Вы забираете лопатку с собой.'); end;
use = function(s,w)
        if w^'Могила' and have('Банка') then 
            p 'Вы накладываете в банку немного могильной пыли.';
            remove('Банка');
            remove('Лопатка');
            take('Пыль');
        elseif w^'Могила' and have('Стакан') then 
            p 'Вы не хотите пачкать стакан землей, нужна другая тара.';
        elseif w^'Могила' and have('Чашечка') then 
            p 'Чашечка совсем маленькая, нужна другая тара.';
        elseif w^'Могила' then
            p 'Вам нужна какая-то тара с собой, чтобы собрать земли.';
        elseif w^'КотелокР' then p 'Вы перемешиваете зелье в котелке.';
        elseif w^'ОставитьБор' then p 'Слишком сухо, чтобы копать червей.';
        else p 'Ничего не получилось.';
        end;
        end;
}

objj {
nam = 'Пыль';
home = 'нет';
inroomdesc = '';
outroomdesc = '';
inv = 'Банка с могильной пылью.';
dropped = 'Вы оставили здесь {банку с пылью}.';
tak = function(s) return mytake(s,'Вы забираете банку с собой.'); end;
use = function(s,w)
        if w^'КотелокР' then
            p 'Вы добавляете могильную пыль в варево.';
            place(s, 'Зелье');
            w.comp = w.comp + 1;
        elseif w^'Котелок' then p 'Сперва нужно найти для котелка подходящее место.';
        else p 'Странная идея.';
        end;
        end;
}

objj {
nam = 'Чашечка';
home = 'Л_Кладбище';
inroomdesc = 'Какой-то Йорик оставил тут свою коленную {Чашечка|чашечку}. ';
outroomdesc = '';
inv = 'Вы нашли это на кладбище.';
dropped = 'Вы оставили здесь {чашечку}.';
tak = function(s) return mytake(s,'Вы забираете чашечку с собой.'); end;
use = function(s,w)
        if w^'КотелокР' and w.comp>=5 then
            p 'Вы набираете немного зелья в чашечку. Отвратительный запах.';
            remove(s);
            take('ЧашкаСзельем');
        elseif w^'КотелокР' and w.comp==0 then
            p 'Вы споласкиваете чашечку горячей водой.';
        elseif w^'КотелокР' then p 'Вы точно не хотите пробовать зелье до того, как оно приготовится до конца.'
        elseif w^'Водка' then p 'Соблазнительно, но сейчас не время.'
        elseif w^'Пиво' then p 'Мелковата посуда.'
        elseif w^'Ерш' then p 'Это слишком для вас.'
        else p 'Не получилось.';
        end;
        end;
}

objj {
nam = 'ЧашкаСзельем';
disp = 'Чашечка с зельем';
toDrink = false;
home = 'нет';
inroomdesc = '';
outroomdesc = '';
dropped = 'Вы оставили здесь {чашку с зельем}.';
tak = function(s) return mytake(s,'Вы забираете чашку с собой.'); end;
inv = function(s)
        if s.toDrink then
            xact.fwalk 'Выпиваем';
        else
            p 'Вы не можете себя заставить сделать это. Просто отвратительный запах.';
        end;
        end;
use = function(s,w)
        if w^'КотелокР' then p 'Зачем выливать это обратно?'
        elseif w^'Могила' then p 'Это уже не поможет.'
        else p 'Странная идея.';
        end;
        end;
}

------------------------- Мастерская ------------------------

room {
nam = 'Л_Мастерская';
disp = 'Мастерская';
part = 2;
decor = function(s) return dropButton..[[Большие широкие окна дают много света. Места не очень много, но достаточно, чтобы можно было работать. В центре {Верстак|мастерской} стоит тяжелый верстак. Вокруг него расставлены стеллажи для инструмента. Только вот самих инструментов нет]]..deskr(s,'Ножовка')..[[. На столе разложены мелкие детали, оставшиеся от того, что здесь то ли разбирали, то ли чинили. Вы можете распознать ]]..deskr(s,'Кран')..deskr(s,'Золотник')..deskr(s,'Бор')..[[ гайки, болты. Происхождение остальных железок туманно. На стенах есть несколько электрических розеток.]]..deskr(s,'ПлитаР')..deskr(s,'КотелокР')..deskr(s,'ГорнР'); end;
obj = {'Оставить', 'Верстак', 'Ножовка', 'Бор', 'Золотник', 'Кран'};
}

objj {
nam = 'Верстак';
act = 'Здесь можно провести несложный ремонт.';
}

objj {
nam = 'Ножовка';
home = 'Л_Мастерская';
inroomdesc = ', одна только старая {Ножовка|ножовка} по дереву';
outroomdesc = '';
inv = 'Вы взяли это из мастерской.';
dropped = 'Вы оставили здесь {ножовку}.';
tak = function(s) return mytake(s,'Вы забираете ножовку с собой.'); end;
use = function(s,w)
        if w^'Норка' then p 'У вас не хватит на это духу.';
        elseif w^'ГорнР' and w.withfuel then
            p 'Ножовку удалось раскалить докрасна. Но вы не слишком умелый кузнец: все, что у вас получилось это пара маленьких металлических пик.';
            place('Пики');
            remove(s);
        elseif w^'Туз' then p 'Это приведет его в негодность.';
        elseif w^'Дерево' then p 'Вам ни к чему более мелкие части.';
        elseif w^'Лавка' then p 'Вам она еще пригодится.';
        elseif w^'Золотник' then p 'Вам ни к чему более мелкие части.';
        elseif w^'Плита' then p 'На это потребовалось бы вечность.';
        else p 'Давайте не будем это пилить.';
        end;
        end;
}

objj {
nam = 'Пики';
home = 'нет';
inroomdesc = '';
outroomdesc = '';
inv = 'Вы выковали это на горне в мастерской.';
dropped = 'Вы оставили здесь {пики}.';
tak = function(s) return mytake(s,'Вы забираете пики с собой.'); end;
use = function(s,w)
        if w^'Туз' then w:use(s);
        elseif w^'Котелок' then p 'Это не получится сварить.';
        elseif w^'Верстак' then p 'Это не требует ремонта.';
        else p 'Странная идея.';
        end;
        end;
}

objj {
nam = 'Бор';
home = 'Л_Мастерская';
inroomdesc = ' {Бор|бор} от бормашины,';
outroomdesc = '';
inv = 'Вы взяли это из мастерской.';
dropped = 'Вы оставили здесь {бор}.';
tak = function(s) return mytake(s,'Вы забираете бор с собой.'); end;
use = function(s,w)
        if w^'Бумага' then
            _'Бумага'.n = _'Бумага'.n-1
            p 'Вы переносите бор на чистый лист бумаги.';
            addSite('Л_Бор');
            remove(s);
        else p 'Ничего не получается.';
        end;
        end;
}


objj {
nam = 'Золотник';
home = 'Л_Мастерская';
inroomdesc = ' маленький {Золотник|золотник},';
outroomdesc = '';
inv = 'Вы взяли это из мастерской.';
dropped = 'Вы оставили здесь {золотник}.';
tak = function(s) return mytake(s,'Вы забираете золотник с собой.'); end;
use = function(s,w)
        if w^'Горн' then
            p 'Вы оставляете на столе золотник в уплату товара.';
            _'Л_Лавка'.payed = true;
            remove(s);
        elseif w^'Санки' then 
            p 'Вы оставляете на столе золотник в уплату товара.';
            _'Л_Лавка'.payed = true;
            remove(s);
        elseif w^'Кран' then p 'Кран с клапаном. Зачем?';
        elseif w^'Могила' then p 'Смерть взяток не берет.';
        elseif w^'ОставитьБор' then p 'Не стоит выбрасывать, вдруг пригодится.';
        elseif w^'Верстак' then p 'Он не сломан.';
        else p 'Не получилось.';
        end;
        end;
}


objj {
nam = 'Кран';
home = 'Л_Мастерская';
inroomdesc = 'водопроводный {Кран|кран},';
outroomdesc = '';
inv = 'Вы взяли это из мастерской.';
dropped = 'Вы оставили здесь {кран}.';
tak = function(s) return mytake(s,'Вы забираете кран с собой.'); end;
use = function(s,w)
        if w^'ПлитаД' then
            place('Чашечка');
            place('Лопатка');
            place('Могила');
            take('Плита');
            p 'Вы поднимаете краном плиту и забираете ее себе.';
            remove(s);
            remove(w);
        elseif w^'Бор' then p 'У вас нет идей, как это соединить вместе.';
        elseif w^'Котелок' then p 'Еще десяток деталей, немного сварки и получился бы самовар.';
        elseif w^'Золотник' then p 'Кран с клапаном. Зачем?';
        elseif w^'Банка' then p 'Из этого нельзя налить воды.';
        elseif w^'Верстак' then p 'Он не нуждается в ремонте.';
        else p 'Странная идея.';
        end;
        end;
}


------------------------- Лавка ------------------------

room {
nam = 'Л_Лавка';
disp = 'Лавка';
part = 2;
payed = false;
decor = function(s) return dropButton..[[Магазинчик всякой всячины. Все стены заставлены полками, которые ломятся от больших и маленьких вещей. Лампы, приемник, печатная машинка, ]]..deskr(s,'Санки')..[[чучело тетерева, швабра без тряпки, маятниковые часы, деревянные ложки, балалайка, бубен, ]]..deskr(s,'Горн')..[[глобус луны, граммофон... У всего этого есть ровно одна общая черта: когда-то оно было спасено со свалки и теперь ждет не дождется отправиться обратно. Продавца не видно, ценников — тоже.]]; end;
obj = {'Оставить', 'Горн', 'Санки'};
}

objj {
nam = 'Горн';
home = 'Л_Лавка';
inroomdesc = '{Горн|горн}, ';
outroomdesc = '';
inv = 'Вы купили это в лавке.';
dropped = 'Вы оставили здесь {горн}.';
tak = function(s) 
    if _'Л_Лавка'.payed then return mytake(s,'Вы забираете горн.'); 
    else p 'Продавца, конечно, не видно, но в любом случае воровство в магазинах до добра не доведет.'; return false;
    end;
    end;
use = function(s,w)
        if w^'Верстак' then
            p 'Вы устанавливаете горн в мастерскую, но он пока неработоспособен.';
            remove(s);
            place('ГорнР');
        elseif w^'Норка' then p 'Вы дудите в горн. Животное не впечталено.';
        elseif w^'Могила' then p 'Вы дудите в горн. Мертвые не собираются вставать.';
        else p 'Странная идея.';
        end;
        end;
}

objj {
nam = 'ГорнР';
home = 'Л_Мастерская';
withmeh = false;
withfuel = false;
inroomdesc = '^Вы установили здесь {ГорнР|горн}.';
outroomdesc = '';
dropped = '';
act = 'Не хватает чего-то важного для работы.';
}

objj {
nam = 'Санки';
home = 'Л_Лавка';
inroomdesc = 'детские {Санки|санки}, ';
outroomdesc = '';
inv = 'Вы купили это в лавке.';
dropped = 'Вы оставили здесь {санки}.';
tak = function(s) 
    if _'Л_Лавка'.payed then return mytake(s,'Вы забираете санки.'); 
    else p 'Продавца, конечно, не видно, но в любом случае воровство в магазинах до добра не доведет.'; return false;
    end;
    end;
use = function(s,w)
        if w^'Верстак' then
            p 'Вы разбираете санки.';
            remove(s);
            place('Полоз');
        elseif w^'Бор' then p 'Кататься не сезон.';
        elseif w^'ОставитьБор' then p 'Кататься не сезон.';
        elseif w^'Дерево' then p 'Снега нет, придется нести руками.';
        else p 'Странная идея.';
        end;
        end;
}

objj {
nam = 'Полоз';
home = 'нет';
inroomdesc = '';
outroomdesc = '';
inv = 'Когда-то из этого состояли санки';
dropped = 'Вы оставили здесь {полоз}.';
tak = function(s) return mytake(s,'Вы забираете полоз с собой.'); end;
use = function(s,w)
        if w^'КотелокР' then
            p 'Вы добавляете полоз в варево.';
            place(s, 'Зелье');
            w.comp = w.comp + 1;
        elseif w^'ГорнР' then p 'Можно переплавить, но у вас ощущение, что он вам пригодится в другом месте.';
        elseif w^'ОставитьБор' then p 'Выпустить полоза? Чтобы потом снова его ловить?'; return true;
        elseif w^'Котелок' then p 'Сперва нужно найти для котелка подходящее место.';
        elseif w^'Могила' then p 'А не спеши ты его хоронить.';
        else p 'Странная идея.';
        end;
        end;
}

------------------------- Бор ------------------------

room {
nam = 'Л_Бор';
disp = 'Бор';
part = 2;
wood = true;
animal = true;
decor = function(s) return dropButton..[[Высокие сосны, подлеска почти нет. Земля покрыта шишками и старой хвоей. Пахнет сыростью. Негромко поют птицы. Тропинка, петляя между деревьями, ведет куда-то вглубь {ОставитьБор|леса}. На опушке большие заросли дикой малины, но ягод уже нет. ]]..deskr(s,'Кабачок')..deskr(s,'Норка'); end;
obj = {'Оставить', 'ОставитьБор', 'Кабачок'};
}

objj {
nam = 'ОставитьБор';
act = 'Лес не очень густой, практически парк. Людей поблизости не видно.';
used = function(s,w)
        if w^'Собачка2' and _'Л_Бор'.animal then
            p 'Вы выпускаете собачку в лес. Покружив между деревьями, она уверенно берет след и убегает вперед. Ориентируясь на громкий лай вам удается найти ее вместе с небольшим зверьком, которого она успешно загнала на дерево.';
            _'Л_Бор'.animal = false;
            place('Норка');
            remove('Собачка2');
         elseif w^'Ножовка' and _'Л_Бор'.wood then
            p 'Вы спиливаете небольшое дерево.';
            _'Л_Бор'.wood = false;
            place('Дерево');
        elseif w^'Ножовка' and not _'Л_Бор'.wood then p 'Одного полена вам должно хватить.';
        else return false;
    end;
end;
}

objj {
nam = 'Кабачок';
home = 'Л_Бор';
inroomdesc = 'Рядом на импровизированной грядке растет большой {Кабачок|кабачок}. Судя по всему, кто-то за ним ухаживал.';
outroomdesc = '';
inv = 'Вы нашли это в лесу.';
dropped = 'Вы оставили здесь {кабачок}.';
tak = function(s) return mytake(s,'Вы забираете кабачок с собой.'); end;
use = function(s,w)
        if w^'Бумага' then
            _'Бумага'.n = _'Бумага'.n-1
            p 'Вы переносите кабачок на чистый лист бумаги.';
            addSite('Л_Кабачок');
            remove(s);
        elseif w^'Собачка2' then p 'Она такого не ест.';
        else p 'Ничего не получается.';
        end;
        end;
}

objj {
nam = 'Дерево';
home = 'нет';
inroomdesc = '';
outroomdesc = '';
inv = 'Вы срубили это в лесу.';
dropped = 'Вы оставили здесь {дерево}.';
tak = function(s) return mytake(s,'Вы забираете дерево с собой.'); end;
use = function(s,w)
        if w^'ГорнР' and w.withmeh then
            p 'Вы закладываете топливо.';
            w.withfuel = true;
            w.act = 'Топливо есть, можно что-нибудь расплавить.';
            remove(s);
        elseif w^'ГорнР' and not w.withmeh then
            p 'Это сгодилось бы в качестве топлива, но горн пока не работает.';
        elseif w^'Собачка2' then p 'Она сама найдет дерево, если ей захочется.';
        elseif w^'ОставитьБор' then p 'Обратно не посадить.';
        else p 'Не получается.';
        end;
        end;
}

objj {
nam = 'Норка';
home = 'Л_Бор';
inroomdesc = '^Пушистая {Норка|норка} забралась на невысокое деревце и не может оттуда слезть, напуганная лаем вашего пса.';
outroomdesc = '';
inv = 'Вы поймали это в лесу.';
dropped = 'Вы оставили здесь {норку}.';
act = 'Руками ее не схватить.';
}

objj {
nam = 'Мех';
home = 'нет';
inroomdesc = '';
outroomdesc = '';
inv = 'Вы добыли это в лесу.';
dropped = 'Здесь лежит {мех}.';
tak = function(s) return mytake(s,'Вы забираете мех с собой.'); end;
use = function(s,w)
        if w^'ГорнР' then
            p 'Вы устанавливаете меха на горн.';
            w.withmeh = true;
            w.act = 'Не хватает топлива.';
            remove(s);
        elseif w^'Горн' then p 'Разумно. Но сперва стоит установить горн в подходящем месте.';
        elseif w^'Собачка2' then p 'У нее есть свой.';
        elseif w^'ОставитьЛавка' then p 'Это не ломбард. Здесь принимают только деньги, в крайнем случае золото.'; return true;
        else p 'Странная идея.';
        end;
        end;
}

------------------------- Кабачок ------------------------

room {
nam = 'Л_Кабачок';
disp = 'Кабачок';
part = 2;
decor = function(s) return dropButton..[[Ни посетителей, ни бармена, но на многих столах остатки еды и початые бутылки. Кабачок выглядит так, словно минуту назад тут были люди, но всем вдруг понадобилось выйти. Пахнет кислым пивом, пол грязный. На одном из столов разложены игральные карты, козырь — пики. ]]..deskr(s,'Девятка')..[[ На барной стойке стоит кактус]]..deskr(s,'Стакан')..deskr(s,'Ерш')..deskr(s,'Водка')..deskr(s,'Пиво')..[[. По стенам висят несколько картин на морскую тему.]]; end;
obj = {'Оставить', 'Девятка', 'Стакан', 'Водка', 'Пиво'};
}

objj {
nam = 'Девятка';
disp = 'Черви';
home = 'Л_Кабачок';
free = false;
inroomdesc = 'Кто-то зашел с {Девятка|червовой девятки}, но вынужден был прервать партию.';
outroomdesc = '';
inv = 'Вы забрали это из кабачка.';
dropped = 'Вы оставили здесь {девятку червей}.';
tak = function(s) 
    if s.free then return mytake(s,'Вы забираете девятку.');
    else p 'Придется ее чем-то побить, если вы хотите ее взять.';
        return false;
    end;
end;
use = function(s,w)
        if w^'КотелокР' then
            p 'Вы добавляете червей в варево.';
            place(s, 'Зелье');
            w.comp = w.comp + 1;
        elseif w^'ОставитьБор' then p 'Выпустить червей в лес? Чтобы потом снова их ловить?'; return true;
        elseif w^'Дождевик' then p 'Он и так червивый.';
        elseif w^'Ерш' then p 'Вы не хотите кормить ерша.'; 
        elseif w^'Котелок' then p 'Сперва нужно найти для котелка подходящее место.';
        elseif w^'Могила' then p 'Вероятно, червей там и так хватает.';
        else p 'Странная идея.';
        end;
        end;
}

objj {
nam = 'Стакан';
full = false;
disp = 'Стакан';
home = 'Л_Кабачок';
inroomdesc = ', граненый {Стакан|стакан}';
outroomdesc = '';
inv = 'Вы забрали это из кабачка.';
dropped = 'Вы оставили здесь {стакан}.';
tak = function(s) return mytake(s,'Вы берете стакан.'); end;
use = function(s,w)
        if w^'Водка' then w:use(s);
        elseif w^'Пиво' then w:use(s);
        else p 'Странная идея.';
        end;
end;
}

objj {
nam = 'Водка';
home = 'Л_Кабачок';
inroomdesc = ', бутылка {Водка|водки}';
outroomdesc = '';
inv = 'Вы забрали это из кабачка.';
dropped = 'Вы оставили здесь {водку}.';
tak = function(s) return mytake(s,'Вы забираете водку.'); end;
use = function(s,w)
        if w^'Стакан' and w.full then
            p 'Вы наливаете водку в стакан. Получился ёрш.';
            replace(w, 'Ерш');
            remove(s);
        elseif w^'Стакан' then 
            p 'Вы наливаете водку в стакан.';
            remove(s);
            w.inroomdesc = ', граненый {Стакан|стакан с водкой}'
            w.disp = 'Стакан с водкой';
            w.full=true;
        elseif w^'Пиво' then p 'Смешивать лучше в стакане или в организме.';
        elseif w^'Собачка2' then p 'Она не будет это пить.';
        elseif w^'Могила' then p 'Славная традиция, но водка вам еще пригодится.';
        elseif w^'Кран' then p 'Нет нужды это протирать.';
        elseif w^'Золотник' then p 'Нет нужды это протирать.';
        elseif w^'Карабин' then p 'Нет нужды это протирать.';
        else p 'Не будем переводить продукт.';
        end;
        end;
}

objj {
nam = 'Пиво';
home = 'Л_Кабачок';
inroomdesc = ', банка {Пиво|пива}';
outroomdesc = '';
inv = 'Вы забрали это из кабачка.';
dropped = 'Вы оставили здесь {пиво}.';
tak = function(s) return mytake(s,'Вы забираете пиво.'); end;
use = function(s,w)
        if w^'Стакан' and w.full then
            p 'Вы наливаете пиво в стакан. Получился ёрш.';
            replace(w, 'Ерш');
            remove(s);
        elseif w^'Стакан' then 
            p 'Вы наливаете пиво в стакан.';
            remove(s);
            w.inroomdesc = ', граненый {Стакан|стакан с пивом}'
            w.disp = 'Стакан с пивом';
            w.full=true;
        elseif w^'Водка' then p 'Смешивать лучше в стакане или в организме.';
        elseif w^'Собачка2' then p 'Она не будет это пить.';
        elseif w^'Могила' then p 'Обычно это делают водкой.';
        else p 'Странная идея.';
        end;
        end;
}

objj {
nam = 'Ерш';
home = 'Л_Кабачок';
inroomdesc = ', граненый {Ерш|стакан с ершом}';
outroomdesc = '';
inv = 'Вы забрали это из кабачка.';
dropped = 'Вы оставили здесь {ерш}.';
tak = function(s) return mytake(s,'Вы забираете ерш.'); end;
use = function(s,w)
        if w^'КотелокР' then
            p 'Вы добавляете ерша в варево.';
            place(s, 'Зелье');
            w.comp = w.comp + 1;
        elseif w^'Котелок' then p 'Сперва нужно найти для котелка подходящее место.';
        else p 'Странная идея.';
        end;
        end;
}
