--    Омонимия/Homonymy
--    Copyright (C) 2024  Luka (ot-luki@yandex.ru)
--
--    This program is free software: you can redistribute it and/or modify
--    it under the terms of the GNU General Public License as published by
--    the Free Software Foundation, either version 3 of the License, or
--    (at your option) any later version.
--
--    This program is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--    GNU General Public License for more details.
--
--    You should have received a copy of the GNU General Public License
--    along with this program.  If not, see <https://www.gnu.org/licenses/>.

------------------- Эпилог -------------------------

room {
nam = 'Выпиваем';
disp = 'Зелье';
pic = 'image/cup.png';
noinv = true;
--onexit = function(s,f) theme.gfx.bg('img/fon.png'); end;
decor = [[От варева идет густой пар, а запах такой, что невозможно описать словами. Вы пересиливаете себя и опрокидываете чашку внутрь, стараясь изо всех сил не заметить, какова смесь на вкус. Сперва ничего не происходит. Спустя пару минут вещи вокруг вас начинают едва заметно дрожать. Как будто кусочки, из которых они слеплены вдруг зашевелились независимо друг от друга. Первой рассыпалась чашка: буквы "Ч", "Ш", "К" кучей обрушились на землю; две "А" куда-то закатились. Потом все вокруг вас, земля и небо развалились на буквы и слога. Последним вы сами стали жертвой алфавита, превратившись в набор знаков.
^^
{@ fwalk ДругойМир|<Дальше>}]];
onenter = function(s,t)
    inv():zap();
    --theme.gfx.bg('img/fonnoinv.png');
    
    -- Удаляем все комнаты 1, 2 акта, чтобы они не мешались в путях комнат
    std.for_each_obj(function(v)
                    if v.part==2 or v.part==1 then v:purge(); end
                    end);
    end;
}

room {
nam = 'ДругойМир';
disp = '...';
pic = 'image/time.png';
part = 3;
noinv = true;
--onenter = function(s,f) theme.gfx.bg('img/fonnoinv.png'); end;
--onexit = function(s,f) theme.gfx.bg('img/fon.png'); end;
decor = [[Что-то собрало вас воедино. А может зелье начало ослабевать... Так или иначе, но вы очнулись. Очнулись посреди белой бескрайней пустоты, в полном одиночестве существования. Здесь только вы и лист бумаги... ещё одно письмо. Вы берёте его в руки, в нём одно лишь слово.
^^
{@ fwalk Пустота|<Читать>}]];
}


room {
nam = 'Пустота';
onexit = function(s) fading.change{'none'} end;
disp = '...';
decor = [[]];
obj = {'Время'};
}

obj {
nam = 'Время';
dsc = '{Время}.';
act = function(s)
        p 'У вас еще есть время.';
        take(s);
        take('Различение');
        place('Лист');
        end;
inv = 'Времени хватит на всё.';
use = function(s,w)
        if w^'Лист' then 
            p 'Он истлеет, а вам это не нужно.';
        elseif w^'Различение' then 
            p 'Это не то, что меняется от времени.';
        elseif w^'Листок' then 
            p 'На побеге вырастает цветок.';
            replace(w, 'Цветок');
            if not w.butt then 
                p 'К цветку прилетает бабочка.';
                place('Бабочка');
                w.butt = true;
                end;
        elseif w^'Цветок' then 
            p 'На цветке созревает плод.';
            replace(w, 'Плод');
        elseif w^'Плод' then 
            p 'Плод увядает.';
            replace(w, 'Семя');
        elseif w^'Фетус' then 
            if not w.burn then 
                p 'Плод развивается. Рождается младенец.';
                replace(w, 'Лист');
                place('Младенец');
                w.burn = true;
            else p 'Одного достаточно.';
                end;
        elseif w^'Семя' then 
            p 'Семя прорастает в побег.';
            replace(w, 'Побег');
        elseif w^'Побег' then 
            p 'Почки раскрываются, появляются листики.';
            replace(w, 'Листок');
        elseif w^'Бегство' then 
            p 'Вы зашли слишком далеко, чтобы сейчас сворачивать назад.';
        elseif w^'Бабочка' then 
            p 'Бабочка откладывает яйцо.';
            replace(w, 'Яйцо');
        elseif w^'Галстук' then 
            p 'Сгниет рано или поздно, но вам это ни к чему.';
        elseif w^'Яйцо' then 
            p 'Из яйца вылупляется гусеница.';
            replace(w, 'Гусеница');
        elseif w^'Гусеница' then 
            p 'Гусеница превращается в куколку.';
            replace(w, 'Куколка');
        elseif w^'Трак' then 
            p 'Превратится в ржавчину спустя много-много лет.';
        elseif w^'Куколка' then 
            p 'Из кокона появляется бабочка.';
            replace(w, 'Бабочка');
        elseif w^'Пупс' then 
            p 'Пластик будет разлагаться сотни лет.';
        elseif w^'ЯйцоГ' then 
            p 'Из яйца вылупляется птица.';
            replace(w, 'Гриф');
            if not w.pero then 
                p 'Птица роняет перо.';
                place('Перо');
                w.pero = true;
                end;
        elseif w^'Гриф' then 
            p 'Птица откладывает яйцо.';
            replace(w, 'ЯйцоГ');
        elseif w^'Гитара' then 
            p 'Она сгниет от этого.';
        elseif w^'Перо' then 
            p 'Медленно гниет.';
        elseif w^'Клинок' then 
            p 'Клинок медленно ржавеет.';
        elseif w^'Ручка' then 
            p 'Может служить очень долго при надлежащем уходе.';
            
        elseif w^'Младенец' then 
            if here()==where('Плод') then 
                p 'Вы даете младенцу плод. Он впивается в него беззубыми деснами. Время бежит, младенец растет. На голове появляются светлые редкие волосики. Режутся зубы. Младенец плачет. Жизнь редко дается легко. Он набрал несколько килограммов и порывается встать. Время бежит дальше. Первые неуверенные шаги. Младенец становится ребенком.';
                replace('Плод', 'Семя');
                replace(w, 'Ребенок');
            elseif here()==where('ЯйцоГ') then 
                p 'Вы даете младенцу яйцо. Он впивается в него беззубыми деснами. Время бежит, младенец растет. На голове появляются светлые редкие волосики. Режутся зубы. Младенец плачет. Жизнь редко дается легко. Он набрал несколько килограммов и порывается встать. Время бежит дальше. Первые неуверенные шаги. Младенец становится ребенком.';
                remove('ЯйцоГ');
                _'Листок'.butt = false;
                replace(w, 'Ребенок');
            else p 'Надо накормить его.';
            end;            
        elseif w^'Ребенок' then 
            if here()==where('Галстук') then 
                replace(w, 'Взрослый');
                p 'Ребенок растет на ваших глазах. Лицо становится грубее, взгляд — печальнее. Вот уже первая щетина пробивается на его подбородке. Время бежит дальше и подросток становится взрослым. Вы узнаете знакомые черты.';
                remove('Галстук');
                _'Листок'.butt = false;
            else p 'Время делает нас старше, но взрослым нас делают атрибуты.';
            end;            
        elseif w^'Взрослый' then 
            if here()==where('Лист') and here()==where('Ручка') then 
                xact.fwalk 'Друг';
            else p 'Нужно дать ему что-то, что откроет путь словам.';
            end;
        else p 'Не получилось.';
        end;
        end;
}

obj {
nam = 'Различение';
dsc = '{Различение}.';
inv = 'Помогает разобраться в добре и зле.';
use = function(s,w)
        if w^'Лист' then 
            p 'Вы играете словами.';
            w.dsc ='Чистый {лист} бумаги лежит здесь.^' ;
            replace(w, 'Листок');
        elseif w^'Время' then 
            p 'Время - это время. Как на него ни взгляни.';
        elseif w^'Листок' then 
            p 'Вы играете словами.';
            replace(w, 'Лист');
        elseif w^'Цветок' then 
            p 'В нем уже различено всё, что можно различить.';
        elseif w^'Плод' then 
            p 'Вы играете словами.';
            replace(w, 'Фетус');
        elseif w^'Фетус' then 
            p 'Вы играете словами.';
            replace(w, 'Плод');
        elseif w^'Семя' then 
            p 'Не получается.';
        elseif w^'Побег' then 
            p 'Вы играете словами.';
            replace(w, 'Бегство');
        elseif w^'Бегство' then 
            p 'Вы играете словами.';
            replace(w, 'Побег');
        elseif w^'Бабочка' then 
            p 'Вы играете словами.';
            replace(w, 'Галстук');
        elseif w^'Галстук' then 
            p 'Вы играете словами.';
            replace(w, 'Бабочка');
        elseif w^'Яйцо' then 
            p 'Вы играете словами.';
            replace(w, 'ЯйцоГ');
        elseif w^'Гусеница' then 
            p 'Вы играете словами.';
            replace(w, 'Трак');
        elseif w^'Трак' then 
            p 'Вы играете словами.';
            replace(w, 'Гусеница');
        elseif w^'Куколка' then 
            p 'Вы играете словами.';
            replace(w, 'Пупс');
        elseif w^'Пупс' then 
            p 'Вы играете словами.';
            replace(w, 'Куколка');
        elseif w^'ЯйцоГ' then 
            p 'Вы играете словами.';
            replace(w, 'Яйцо');
        elseif w^'Гриф' then 
            p 'Вы играете словами.';
            replace(w, 'Гитара');
        elseif w^'Гитара' then 
            p 'Вы играете словами.';
            replace(w, 'Гриф');
        elseif w^'Перо' then 
            p 'Вы играете словами.';
            replace(w, 'Клинок');
        elseif w^'Клинок' then 
            p 'Вы играете словами.';
            replace(w, 'Ручка');
        elseif w^'Ручка' then 
            p 'Вы играете словами.';
            replace(w, 'Перо');
            
        elseif w^'Младенец' then 
            p 'Ему просто нужно время, чтобы вырасти.';      
        elseif w^'Ребенок' then 
            p 'Просто дайте ему время.';      
        elseif w^'Взрослый' then 
            p 'Просто дайте ему время.';
        else p 'Не получилось.';
        end;
        end;
}

obj {
nam = 'Лист';
dsc = '{<Чистый лист>}^';
act = 'Этот чистый лист бумаги — единственное что нашли вы в пустоте.';
}

obj {
nam = 'Листок';
dsc = 'На тоненьком побеге вырос маленький зеленый {лист}.^';
act = 'Трудно сказать, что это за растение.';
butt = false;
}

obj {
nam = 'Цветок';
dsc = '{Цветок} подрос и распустился.^';
act = 'Невыразительный луговой цветок с бледным соцветием.';
}

obj {
nam = 'Плод';
dsc = 'На цветке завязался {плод}.^';
act = 'Маленькая алая ягода.';
}

obj {
nam = 'Фетус'; --fetus
dsc = '{Плод} зреет в безмолвной пустоте. Жутковато.^';
act = 'Комочек жизни.';
burn = false;
}

obj {
nam = 'Семя';
dsc = 'Плода больше нет, но после него осталось {семя}.^';
act = 'Маленькое. Черненькое. Живое.';
}

obj {
nam = 'Побег';
dsc = 'Из ничего пробился {побег}.^';
act = 'Худенький стебелек с парой почек.';
}

obj {
nam = 'Бегство';
dsc = '{Побег} отсюда возможен.^';
act = 'Достаточно нажать на крестик вверху окна.'; 
}




obj {
nam = 'Бабочка';
dsc = 'Порхает {бабочка}.^';
act = 'Маленькое белое насекомое с парой черных точек на крыльях.';
}
obj {
nam = 'Галстук';
dsc = 'Галстук-{бабочка} лежит здесь.^';
act = 'Он любил носить такое.';
}
obj {
nam = 'Яйцо';
dsc = 'Бабочка отложила {яйцо}.^';
act = 'Крошечный желтый ребристый цилиндрик.';
}
obj {
nam = 'Гусеница';
dsc = 'Ползает {гусеница}.^';
act = 'Желто-зеленое волосатое существо, густо усеянное черными точками разных размеров.';
}
obj {
nam = 'Трак';
dsc = 'Несколько сцепленных траков от {гусеницы} лежат здесь.^';
act = 'Танк. А может трактор. Кто знает?';
}
obj {
nam = 'Куколка';
dsc = '{Куколка} бабочки внутри кокона ждет своего времени.^';
act = 'Маленький зеленый в крапинку гробик.';
}
obj {
nam = 'Пупс';
dsc = 'Пластмассовая {куколка}-пупс лежит здесь.^';
act = 'Довольно уродливая на ваш вкус.';
}



obj {
nam = 'ЯйцоГ';
dsc = 'Крупное белое {яйцо}.^';
act = 'Около 9 сантиметров по длинной стороне. На белой скорлупе несколько маленьких пятен песочного оттенка.';
pero = false;
}
obj {
nam = 'Гриф';
dsc = '{Гриф} озадаченно крутит по сторонам своей черной лысой головой.^';
act = 'Крупная черно-коричневая птица с мощным клювом.';
}

obj {
nam = 'Гитара';
dsc = 'Гитара с черным {грифом} лежит здесь.^';
act = 'Акустическая. Шесть струн из нейлона.';
}

obj {
nam = 'Перо';
dsc = 'Птица оставила здесь {перо}.^';
act = 'Почти черное маховое перо грифа.';
}
obj {
nam = 'Клинок';
dsc = 'Нож с заточенным {пером} лежит здесь.^';
act = 'Увесистый цельнометаллический клинок с двухсторонней заточкой.';
}
obj {
nam = 'Ручка';
dsc = 'Ручка с открытым {пером} лежит здесь.^';
act = 'Незаправляемая перьевая ручка. Кажется, вы когда-то ее видели.';
}





obj {
nam = 'Младенец';
dsc = '{Младенец} спит. Маленькие ручки, маленькие ножки, непропорционально большая голова. Когда-нибудь он вырастет.^';
act = 'Человеческий детеныш.';
}


obj {
nam = 'Ребенок';
dsc = '{Ребёнок} смотрит вокруг широко открытыми глазами.^';
act = 'Человеческий детёныш.';
}
obj {
nam = 'Взрослый';
dsc = 'Безмолвный образ. Расплывчатый, но узнаваемый. Это ваш {друг}, вы нашли его. Почти. Осталась самая малость.^';
act = 'Нельзя сказать, что он отворачивается от вас, но получается так, что с какой стороны вы ни смотрите, вы видите его со спины.';
}

room {
nam = 'Друг';
disp = '...';
pic = 'image/final.png';
part = 3;
noinv = true;
--onenter = function(s,f) theme.gfx.bg('img/fonnoinv.png'); end;
decor = [[Перо и бумага — так мало и так много. Он протягивает к ним руку. Вы видите как он пишет, всё ещё со спины. Строчки привычно ложатся одна за другой. Вы заглядываете ему через плечо и читаете текст письма.
^^
{@ fwalk Письмо3|<Читать>}]];
}




room {
nam = 'Письмо3';
--onexit = function(s) fading.change{'none'} end;
disp = 'Письмо';
part = 3;
noinv = true;
decor = [[Прости, дружище, я не могу обернуться. Это старое правило, оно проверено Лотом, проверено Орфеем. Но я знаю, что ты там, у меня за спиной — это главное. Надеюсь, я не доставил чрезмерных хлопот, здесь время ничего не стоит, у вас — иначе. 
^
Ты много сделал для меня на том берегу, не буду перечислять. Если вдруг за что-то я не поблагодарил тебя своевременно — делаю это сейчас. Я расскажу тебе то, что не сможет рассказать больше никто: расскажу, что вижу здесь, вокруг себя. Это мой прощальный подарок. Мне кажется он ценным, хотя к чему лукавить: больше у меня всё равно ничего нет.
^
Тут повсюду слова: большие и маленькие, сильные и слабые. Может быть ты видишь их краешком глаза? Не так я это себе представлял, но грех жаловаться: не самое плохое соседство. Они прыгают, беснуются, играют в чехарду и прятки. От этого вокруг меня рассказывается какая-то история, которая все время меняется, а потому похожа то на дурной сон, то на милицейский протокол. Их много, очень много. Они составляют сочетания. Мириады сочетаний, описывающих мириады миров. Я могу читать их вечно. Точнее я буду читать их вечно, тут больше нечем заняться.
^
Кажется, я знаю откуда они приходят. Всё, что было когда-то сказано, было сделано, даже просто подумано — ничего не пропало. Все упало сюда, в огромный калейдоскоп. Наверно, и я сам — такое же слово внутри него. Наверно, кто-то другой складывает меня в предложения, в которых я переживаю удивительные приключения. Может, он расскажет их мне, если мы столкнёмся.
^
Я не вижу среди слов твоего имени. И это правильно. Пусть оно ещё долго остается с той стороны окуляра. Я могу ждать здесь нашей встречи сколько потребуется.
^
Поэтому я не прощаюсь. Я говорю: "до нескорого свидания". И будь здоров!
^^
Твой Н.
^^
{@ fwalk Титры|<Конец>}]];
}


room {
    nam = 'Титры';
    onexit = function(s) fading.change{'none'} end;
    disp = 'Конец игры';
    part = 3;
    noinv = true;
    decor = [[На этом игра закончена. Надеюсь, что вам понравилось, и спасибо за терпение.^
    Пожалуйста, не поленитесь поделиться своими вперчатлениями от игры в репозитории instead (instead-games.ru) или на профильных площадках. Ваши рецензии и отклики действительно нужны. Они не только ободряют авторов, но и помогают другим игрокам найти то, что им может быть интересно. Только активное сообщество способно поддерживать интерактивную литературу на плаву.^
    Удачи, и до встречи в новых играх!^
    ^
    Лука (ot-luki@narod.ru)]];
}
